# Copyright (C) 2005 Mandriva
#                    Olivier Blin <oblin@mandriva.com>
# Copyright (C) 2017-2018 Mageia
#                    Martin Whitaker <mageia@martin-whitaker.me.uk>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1335, USA.

# SYNOPSIS
# --------
# This package defines the ClassicBuild subclass that is used to hold all the
# settings and configuration values needed to build a classical installer ISO.
# It provides a number of helper functions over and above those provided by
# the ISOBuild superclass.

package MGA::DrakISO::ClassicBuild;

use strict;

use MDK::Common;

use MGA::DrakISO::ISOBuild;

our @ISA = qw(MGA::DrakISO::ISOBuild);

sub new {
    my ($class) = @_;
    bless {}, $class;
}

sub default_name_fields {
    [ qw(distro release arch media) ];
}

1;
